Name:           unifying-receiver-udev
Version:        0.2
Release:        %mkrel 2
Summary:        udev rules for user access to Logitech Unifying Receiver
License:        GPLv3
URL:            http://www.brouhaha.com/~eric/software/%{name}/
Source0:        http://www.brouhaha.com/~eric/software/%{name}/download/%{name}-%{version}.tar.gz
BuildArch:      noarch
Group:          System/Configuration

# Adds device 046d/c52f to the udev rules, fixing bug 1202977. Rather than
# trying to submit this change upstream, a better solution is probably to use
# the udev rules shipped with solaar itself. See the bug for more details.
Patch0:         unifying-receiver-udev-046d-c52f.patch

%global udev_order 69

%global udev_rules_dir /usr/lib/udev/rules.d
# Do not use %%{_libdir}, because udev rules always go into
# /usr/lib/udev/rules.d, and not (on x86_64) /usr/lib64/udev/rules.d

%description
Udev rules to allow user access to the Logitech Unifying Receiver, e.g., for
use with ltunify, pairing_tool, or Solaar.

%prep
%setup -q
%patch -P0 -p1

%build

%install
install -D -p -m 644 unifying-receiver.rules %{buildroot}%{udev_rules_dir}/%{udev_order}-unifying-receiver.rules

%files
%doc COPYING
%{udev_rules_dir}


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.2-2.mga10
+ Revision: 2229394
- Mageia 10 Mass Rebuild

* Tue Oct 22 2024 joequant <joequant> 0.2-1.mga10
+ Revision: 2109654
- imported package unifying-receiver-udev

